aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2017-09-11 11:46:59 +0200
committerGravatar Jan Tattermusch <jtattermusch@google.com>2017-09-15 17:37:13 +0200
commit05eadf21e05d521d73a05babf7c8f45218728355 (patch)
treec0752c01a88136dcc6c888d71e913270b952b81b /tools/internal_ci/linux
parentca7084bced8db50bc242a06b430ba468145982fa (diff)
reveal leftover processes
Diffstat (limited to 'tools/internal_ci/linux')
-rwxr-xr-xtools/internal_ci/linux/grpc_run_tests_matrix.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tools/internal_ci/linux/grpc_run_tests_matrix.sh b/tools/internal_ci/linux/grpc_run_tests_matrix.sh
index 028704b3ff..bd1430b741 100755
--- a/tools/internal_ci/linux/grpc_run_tests_matrix.sh
+++ b/tools/internal_ci/linux/grpc_run_tests_matrix.sh
@@ -20,4 +20,14 @@ cd $(dirname $0)/../../..
source tools/internal_ci/helper_scripts/prepare_build_linux_rc
-tools/run_tests/run_tests_matrix.py $RUN_TESTS_FLAGS
+tools/run_tests/run_tests_matrix.py $RUN_TESTS_FLAGS || FAILED="true"
+
+# Reveal leftover processes that might be left behind by the build
+ps aux | grep -i kbuilder
+
+echo 'Exiting gRPC main test script.'
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi